Index: build_tools/menuselect.c
===================================================================
--- build_tools/menuselect.c	(revision 32350)
+++ build_tools/menuselect.c	(working copy)
@@ -698,14 +698,6 @@
 	free_trees();
 	free_member_list();
 
-	if (check_deps && !existing_config && !res) {
-		fprintf(stderr, "\n***********************************************************\n");
-		fprintf(stderr, "* menuselect.makeopts file generated with default values! *\n");
-		fprintf(stderr, "* Please rerun make to build Asterisk.                    *\n");
-		fprintf(stderr, "***********************************************************\n\n");
-		res = -1;
-	}
-
 	/* In some cases, such as modifying the CFLAGS for the build,
 	 * a "make clean" needs to be forced.  Removing the .lastclean 
 	 * file does this. */
Index: Makefile
===================================================================
--- Makefile	(revision 32350)
+++ Makefile	(working copy)
@@ -135,14 +135,8 @@
 GLOBAL_MAKEOPTS=$(wildcard /etc/asterisk.makeopts)
 USER_MAKEOPTS=$(wildcard ~/.asterisk.makeopts)
 
-ifneq ($(wildcard menuselect.makeopts),)
-  include menuselect.makeopts
-endif
+include $(wildcard menuselect.makeopts makeopts) .empty.inc
 
-ifneq ($(wildcard makeopts),)
-  include makeopts
-endif
-
 TOPDIR_CFLAGS=-include include/autoconfig.h -Iinclude
 MOD_SUBDIR_CFLAGS=-include ../include/autoconfig.h -I../include -I..
 OTHER_SUBDIR_CFLAGS=-include ../include/autoconfig.h -I../include -I..
@@ -374,20 +368,8 @@
 all: cleantest config.status menuselect.makeopts depend asterisk subdirs
 
 config.status: configure
-	@CFLAGS="" ./configure
-	@echo "****"
-	@echo "**** The configure script was just executed, so 'make' needs to be"
-	@echo "**** restarted."
-	@echo "****"
-	@exit 1
 
 makeopts: configure
-	@CFLAGS="" ./configure
-	@echo "****"
-	@echo "**** The configure script was just executed, so 'make' needs to be"
-	@echo "**** restarted."
-	@echo "****"
-	@exit 1
 
 menuselect.makeopts: build_tools/menuselect makeopts.xml
 	@build_tools/menuselect --check-deps ${GLOBAL_MAKEOPTS} ${USER_MAKEOPTS} $@
@@ -410,14 +392,8 @@
 db1-ast/libdb1.a:
 	$(MAKE) -C db1-ast libdb1.a
 
-ifneq ($(wildcard .depend),)
-  include .depend
-endif
+include $(wildcard .depend .tags-depend) .empty.inc
 
-ifneq ($(wildcard .tags-depend),)
-  include .tags-depend
-endif
-
 ast_expr2.c ast_expr2.h:
 	bison -o $@ -d --name-prefix=ast_yy ast_expr2.y
 
Index: .empty.inc
===================================================================
--- .empty.inc	(revision 0)
+++ .empty.inc	(revision 0)
@@ -0,0 +1 @@
+#Just an empty makefile stub. Leave it be
